<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<groupId>seleniumTest</groupId>
		<artifactId>seleniumTest</artifactId>
		<version>3.3.0.BETA1</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>seleniumTest</groupId>
	<artifactId>richfaces</artifactId>
	<packaging>war</packaging>
	<name>seleniumTest Maven Webapp</name>
	<version>3.3.0.BETA1</version>
	<build>
		<finalName>richfaces</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.4.3</version>
				<configuration>
					<!-- Skip the normal tests, we'll run them in the integration-test phase -->
					<skip>true</skip>
					<suiteXmlFiles>
						<!--suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_all_all_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_all_all_tidy.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_all_all_neko.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_all_default_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_all_default_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_all_default_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_default_all_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_default_all_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_default_all_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_default_default_none.xml
						</suiteXmlFile>
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_default_default_none.xml
						</suiteXmlFile-->
						<suiteXmlFile>
							${project.build.directory}/test-classes/testng/testng_default_default_neko.xml
						</suiteXmlFile>
					</suiteXmlFiles>
				    <properties>
				    	<property>
			          	<name>listener</name>
			          	<value>org.richfaces.TestAnnotationTransformer</value>
				    	</property>
				    </properties>
				</configuration>
				<executions>
					<execution>
						<phase>integration-test</phase>
						<goals>
							<goal>test</goal>
						</goals>
						<configuration>
							<skip>false</skip>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>